/* USER VARIABLES SECTION */
:root {
    --accent: #A47D46;
    --black: #1A1A1A;
    --gray: #848484;
    --gap: 30rem;
    --indent: 24rem;
    --indentmin: calc(var(--indent) / 2);
    --indentbig: calc(var(--indent) * 2);
    --heading1: 70rem;
    --heading2: 45rem;
    --heading3: 32rem;
    --heading4: 24rem;
    --bodyL: 18rem;
    --bodyM: 16rem;
    --bodyS: 14rem;
    --bodyXS: 12rem;
}

/* FONTS LOAD SECTION */
@font-face {
    src: url("../fonts/TildaSans-Regular.woff2") format("woff2");
    font-family: "tilda-regular";
}

@font-face {
    src: url("../fonts/TildaSans-Medium.woff2") format("woff2");
    font-family: "tilde-medium";
}

@font-face {
    src: url("../fonts/TildaSans-Semibold.woff2") format("woff2");
    font-family: "tilda-semibold";
}

@font-face {
    src: url("../fonts/PF-Din-Medium.woff2") format("woff2");
    font-family: "pfdin-medium";
}

/* GENERAL CSS SETTINGS */
* {
    margin: 0;
    padding: 0;
    outline: none;
    box-sizing: border-box;
    scrollbar-width: thin;
    scrollbar-color: var(--accent) #eee;
}

*::-webkit-scrollbar {
    height: 6rem;
    width: 6rem;
}

*::-webkit-scrollbar-thumb {
    background-color: var(--accent);
    border-radius: 5rem;
}

::placeholder {
    color: var(--gray_text);
}

::selection {
    background-color: var(--accent);
    color: #fff;
}

button {
    border: none;
    outline: none;
    font-family: 'tilda-semibold', sans-serif;
    font-size: var(--bodyL);
}

input[type="number"] {
    -moz-appearance: textfield;
    -webkit-appearance: textfield;
    appearance: textfield;
}

input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    display: none;
}

input,
textarea {
    width: 100%;
    outline: none;
    background-color: #f4f4f4;
    color: var(--black);
    height: 60rem;
    font-weight: 400;
    font-style: normal;
    border: 1rem solid transparent;
    padding: var(--indentmin);
    box-shadow: none;
    transition: border .4s ease;
    font-family: 'tilda-regular', sans-serif;
    border: 1rem solid #E0E0E0;
    color: #9c9c9c;
}

textarea {
    height: 160rem;
    resize: none;
}

html {
    font-size: calc(1vw / 18);
}

body {
    font-family: 'tilda-regular', sans-serif;
    font-size: var(--bodyL);
    line-height: 1;
    color: var(--black);
    position: relative;
    overflow-x: hidden;
    background-color: #fff;
}

body.overflow {
    overflow: hidden;
    position: relative;
}

img {
    max-width: 100%;
    pointer-events: none;
    user-select: none;
    object-fit: cover;
    object-position: center;
}

h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6,
.heading {
    font-weight: normal;
    font-style: normal;
    font-family: 'tilda-medium', sans-serif;
    margin-bottom: var(--indent);
}

.heading span {
    color: var(--accent);
}

h1,
.h1,
.heading {
    font-size: var(--heading1);
}

h2,
.h2 {
    font-size: var(--heading2);
}

h3,
.h3 {
    font-size: var(--heading3);
}

h4,
.h4 {
    font-size: var(--heading4);
}

h5,
.h5 {
    font-size: var(--bodyL);
}

h6,
.h6 {
    font-size: var(--bodyM);
}

a {
    color: var(--black);
    display: inline-block;
    transition: color .4s ease;
    text-decoration: none;
    overflow: hidden;
    position: relative;
}

a span[data-hover] {
    transition: transform .4s ease;
    transform: translateY(0);
    display: inline-block;
}

a span[data-hover]::before {
    content: attr(data-hover);
    position: absolute;
    top: 100%;
}

b,
strong,
.bold {
    font-family: 'tilda-semibold', sans-serif;
}

p {
    margin-bottom: var(--indent);
}

ul,
ol {
    padding-left: var(--gap);
    margin-bottom: var(--indent);
}

svg {
    transition: stroke .4s ease, fill .4s ease;
    flex: 0 0 auto;
    fill-rule: evenodd;
    clip-rule: evenodd;
}

/* USER STYLES */
.container {
    max-width: 1400rem;
    width: 100%;
    margin: 0 auto;
    padding: 0 var(--gap);
}

.content {
    position: relative;
    display: flex;
    flex-direction: column;
}

.dark {
    background-color: var(--black);
    color: #fff;
    position: relative;
    z-index: 1;
}

.section {
    position: relative;
    z-index: 1;
    padding: 100rem 0;
}

.description {
    line-height: 1.4;
}

.img-background {
    object-fit: cover;
    object-position: center;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -2;
    width: 100%;
    height: 100%;
}

.btn {
    font-family: 'tilda-semibold', sans-serif;
    background-color: transparent;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 20rem 40rem;
    width: 100%;
    max-width: max-content;
    min-height: 60rem;
    cursor: pointer;
    transition: color .4s ease, background-color .4s ease, border-color .4s ease;
    position: relative;
    border: 1rem solid var(--accent);
    text-align: center;
}

.btn.white {
    border-color: #fff;
}

.btn.accent {
    color: #fff;
    background-color: var(--accent);
}

.btn.black {
    color: var(--black);
}

.btn.min {
    padding: 12rem 24rem;
    min-height: 52rem;
}

.sticky {
    position: sticky;
    top: var(--indent);
}

/* header */
.header {
    position: absolute;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 11;
}

.header.fixed {
    position: fixed;
}

.header.fixed .header__top,
.header.fixed .header__bottom {
    background-color: var(--black);
}

.header.hidden .header__bottom {
    transform: translateY(-10%);
}

.header__top {
    padding: 30rem 0 20rem;
    border-bottom: 1rem solid rgba(255, 255, 255, .2);
    transition: background-color .4s ease;
    position: relative;
    z-index: 1;
}

.header__logo img {
    width: 273rem;
}

.header__nav ul {
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: center;
    gap: var(--gap);
    font-family: 'tilda-semibold', sans-serif;
}

.header__nav a {
    color: #fff;
}

.header__contacts {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: var(--gap);
    font-family: 'tilda-semibold', sans-serif;
}

.header__phone {
    font-size: 20rem;
    color: #fff;
}

.header__bottom {
    padding: 30rem 0 20rem;
    transition: transform .4s ease, background-color .4s ease;
}

.header__bottom-wrap {
    display: flex;
    align-items: center;
    justify-content: space-between
}

.bar-menu {
    display: none;
}

/* hero */
.hero__content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    min-height: 100vh;
    padding: calc(120rem * 1.5) 0 60rem;
    gap: var(--gap);
}

.hero__title {
    font-size: 120rem;
    margin-top: 60rem;
    font-family: "pfdin-medium", sans-serif;
    text-transform: uppercase;
}

.hero__subtitle {
    font-size: var(--heading3);
    margin-bottom: var(--indent);
}

.hero__buttons {
    display: flex;
    flex-wrap: wrap;
    gap: var(--gap);
}

.hero__buttons .btn {
    min-width: 210rem;
}

/* about */
.about__wrapper {
    display: flex;
    flex-direction: column;
    gap: 90rem;
}

.about__grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: var(--gap);
    align-items: center;
}

.about__grid:nth-child(even) .about__content {
    order: 1;
}

.about.full .about__grid:nth-child(even) .about__content {
    margin-right: auto;
    margin-left: 0;
}

.about.full .about__content {
    max-width: 650rem;
    width: 100%;
    margin-left: auto;
}

.about__image img {
    width: 100%;
}

.about__buttons {
    display: flex;
    flex-wrap: wrap;
    gap: var(--gap);
}

.about__buttons .btn {
    min-width: 220rem;
}

/* benefits */
.benefits {
    padding-top: 70rem;
    margin-top: 100rem;
    border-top: 1rem solid rgba(255, 255, 255, .2);
}

.benefits__grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: var(--gap);
    text-align: center;
    padding-top: var(--indent);
}

.benefit {
    display: flex;
    flex-direction: column;
}

.benefit__icon {
    border: 1rem solid rgba(255, 255, 255, .2);
    border-radius: 50%;
    width: 52rem;
    height: 52rem;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    position: relative;
    z-index: 1;
    margin: 0 auto var(--indent);
}

.benefit__icon::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: -1;
    border-radius: 50%;
    background-color: var(--accent);
    width: 34rem;
    height: 34rem;
}

/* directions */
.directions__grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: var(--gap);
    margin-top: 70rem;
}

.direction {
    background-color: #fff;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: var(--indent);
}

.direction__image {
    width: 100%;
}

.direction__image img {
    width: 100%;
    height: 580rem;
    display: block;
}

/* background-block */
.background-block {
    min-height: 500rem;
    position: relative;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1;
}

.background-block::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--black);
    opacity: .4;
    z-index: -1;
}

.background-block__title {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: var(--gap);
    width: 70%;
    margin: 0 auto;
}

.background-block__title img {
    width: 48rem;
    display: block;
}

/* calls */
.calls {
    background-color: var(--accent);
    padding: 60rem 0;
}

.calls__buttons {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: var(--indentbig);
    width: 85%;
    margin: 0 auto;
}

.calls__buttons .btn {
    max-width: 100%;
}

.calls__buttons .btn img {
    width: 36rem;
    height: 36rem;
    margin-right: 10rem;
    transition: filter .4s ease;
}

/* portfolio */
.portfolio__subtitle {
    font-size: var(--heading4);
    width: 50%;
    margin: 0 auto;
}

.portfolio__grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10rem;
    margin-top: 100rem;
}

.portfolio__item {
    position: relative;
    overflow: hidden;
    z-index: 1;
}

.portfolio__item::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(152deg, rgba(0, 0, 0, 0) 26%, var(--black) 92%);
}

.portfolio__image {
    height: 390rem;
    z-index: -1;
}

.portfolio__image img {
    height: 100%;
    width: 100%;
}

.portfolio__info {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: var(--indent);
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: var(--gap);
}

.portfolio__name {
    font-size: 40rem;
    font-family: 'tilda-semibold', sans-serif;
}

.portfolio__desc {
    margin-top: 10rem;
    font-size: var(--heading4);
}

/* comparisons */
.comparisons__grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: var(--gap);
    margin-top: 70rem;
}

.twentytwenty-container {
    margin-bottom: var(--indent);
}

.twentytwenty-container img {
    height: 390rem;
    width: 100%;
}

.comparison__info {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: var(--indent);
    text-align: center;
}

/* reviews */
.reviews {
    background-color: #F3F3F3;
}

.review {
    min-height: 150rem;
    width: 100%;
    background-color: #fff;
    padding: var(--indent);
    display: flex;
}

.review img {
    width: 100%;
}

.reviews-swiper {
    position: relative;
    z-index: 2;
    overflow-x: hidden;
    margin-top: 70rem;
}

.reviews-swiper .swiper-slide {
    overflow: visible;
    height: auto;
    display: flex;
    width: 540rem;
}

/* modal */
.modal {
    visibility: hidden;
    opacity: 0;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: block;
    background: rgba(106, 106, 106, .9);
    z-index: 9999;
    transition: visibility 0s .25s, opacity .25s;
}

.modal.active {
    visibility: visible;
    opacity: 1;
}

.modal__wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    overflow-y: auto;
}

.modal__body {
    position: relative;
    margin: 0 var(--indent);
    max-height: 100%;
    width: 800rem;
    opacity: 0;
    background-color: #fff;
    transition: opacity 0s .25s, opacity .25s;
}

.modal.show .modal__body {
    opacity: 1;
    transition: opacity 0s 0s, opacity .25s;
}

.modal__inner {
    width: 100%;
    height: 100%;
    position: relative;
}

.modal__image img {
    width: 100%;
    height: 360rem;
}

.modal__inner-wrap {
    padding: 40rem 60rem;
    background-color: #fff;
}

.modal__close {
    position: absolute;
    top: 10rem;
    right: 10rem;
    font-size: 60rem;
    color: #fff;
    z-index: 2;
    cursor: pointer;
    transition: color .4s ease;
}

.modal-heading {
    width: 80%;
    margin: 0 auto;
}

.modal__text {
    margin-bottom: var(--indentbig);
}

/* form */
.form-wrap {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20rem;
}

.form-wrap>* {
    width: 100%;
}

.form-wrap .btn {
    padding: 15rem;
    max-width: 100%;
}

.form-agree {
    font-size: var(--bodyS);
    margin-top: 40rem;
}

/* footer */
.footer {
    background-color: var(--black);
    padding: 70rem 0;
    color: #fff;
}

.footer__container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: var(--gap);
}

.footer__logo img {
    width: 273rem;
    margin-bottom: var(--indent);
}

.footer__block {
    display: flex;
    flex-direction: column;
    gap: var(--indent);
}

.footer__address,
.footer__hours {
    color: var(--gray);
    line-height: 1.3;
}

.footer__block b,
.footer__block strong {
    color: #fff;
}

.footer__menu {
    list-style: none;
    padding: 0;
    grid-column: span 2;
    height: max-content;
    width: 80%;
    margin-left: auto;
    margin-right: auto;
    column-count: 2;
}

.footer__menu li {
    margin-bottom: var(--indentmin);
    break-inside: avoid;
}

.footer__menu a {
    color: #fff;
    text-decoration: none;
    font-size: 20rem;
    font-family: 'tilda-semibold', sans-serif;
}

.footer__contacts {
    display: flex;
    flex-direction: column;
    align-items: end;
}

.footer__contacts .btn {
    margin-top: var(--indent);
}

.footer__phone,
.footer__email {
    display: block;
    margin-bottom: 10px;
    color: #fff;
    text-decoration: none;
    font-size: 20rem;
    font-family: 'tilda-semibold', sans-serif;
}

.footer__map img {
    width: 100%;
    height: 250rem;
    margin: var(--indent) 0;
}

.footer__rate img {
    width: 100%;
    height: 45rem;
}

/*load*/
.load {
    border: 6rem solid #EAF0F6;
    border-top: 6rem solid var(--accent);
    border-radius: 50%;
    width: 40rem;
    height: 40rem;
    animation: spinner 1s linear infinite;
    padding: 0;
    display: flex;
}

.load.center {
    margin: 0 auto;
}

.load-center {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.load:not(.load-lazy)>* {
    display: none;
}

.load-lazy>* {
    opacity: 0;
    visibility: hidden;
}

.load-img {
    background-color: var(--black);
}

@keyframes spinner {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.text-center {
    text-align: center;
}

.gray {
    color: var(--gray);
}

.mb-0 {
    margin-bottom: 0;
}

.pb-0 {
    padding-bottom: 0;
}

.mt-auto {
    margin-top: auto;
}